## nepomuk-core 4.14.0

=== tools/nepomukshow/CMakeLists.txt ===
project(nepomuk-show)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${NEPOMUK_CORE_INCLUDE_DIR}
  )

set( SRCS
  main.cpp
  resourceprinter.cpp
  uri.cpp
)

kde4_add_executable(nepomukshow ${SRCS})

target_link_libraries(nepomukshow
  ${KDE4_KDECORE_LIBS}
  ${SOPRANO_LIBRARIES}
  nepomukcore
  )

install(TARGETS nepomukshow
        DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
nepomuk-core (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 01:32:42 +0200

nepomuk-core (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 15:31:55 +0200

nepomuk-core (4:4.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 May 2014 10:11:38 +0200

nepomuk-core (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:10 +0200

nepomuk-core (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:04 +0100

nepomuk-core (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Update install files.
  * Update test script.
  * Update symbols file.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:45 +0100

nepomuk-core (4:4.11.5-2) unstable; urgency=medium

  * Add private headers, needed by kde-runtime.
  * New patch: install_dbus_private_headers
  * Update acc info.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jan 2014 17:17:06 -0300

nepomuk-core (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Enable build failures on missing symbols.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtest.
  * Add abi-compliance-checker info.
  * Remove private header from installed files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 15 Jan 2014 17:38:13 -0300

nepomuk-core (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Dec 2013 20:21:48 +0100

nepomuk-core (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependendies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Nov 2013 15:59:08 +0100

nepomuk-core (4:4.11.2-4) experimental; urgency=low

  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 11:44:11 +0200

nepomuk-core (4:4.11.2-3) experimental; urgency=low

  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 06 Oct 2013 17:58:42 +0200

nepomuk-core (4:4.11.2-2) experimental; urgency=low

  * Bump kdelibs5-dev build-dependency.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Oct 2013 17:16:38 +0200

nepomuk-core (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Document that nepomuk-core-runtime will not index stuff unless virtuoso
    is installed (Closes: #721045).

  [ Maximiliano Curia ]
  * Add new optional build-deps.
  * Update install files.
  * Update symbols file.
  * Bump soprano build-dependency version.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Oct 2013 20:30:50 +0200

nepomuk-core (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 17:17:53 +0200

nepomuk-core (4:4.10.4-1) experimental; urgency=low

  * New upstream release.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.4, no further changes needed.
  * Update copyright file.
  * Add myself to the Uploaders field.
  * Install nepomukextractor library as a versioned library.
  * Update symbols file.
  * Update vcs fields.

  [ Pino Toscano ]
  * Fix typo in description of nepomuk-core-data. (Closes: #710892)

  [ Maximiliano Curia ]
  * Add libnepomukcore4 new symbols.
  * Bump shared-desktop-ontologies build-dep version.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 00:04:07 +0200

=== debian/control ===
Source: nepomuk-core
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-dev (>= 4:4.13.0),
               cmake (>= 2.8.6),
               debhelper (>= 9),
               doxygen,
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.13),
               libavformat-dev,
               libepub-dev,
               libexiv2-dev (>= 0.21),
               libkfilemetadata-dev (>= 4:4.13.0),
               libpoppler-qt4-dev (>= 0.12.1),
               libqmobipocket-dev,
               libsoprano-dev (>= 2.9.3),
               libtag1-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.14),
               shared-desktop-ontologies (>= 0.11.0)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/nepomuk-core.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/nepomuk-core.git

Package: nepomuk-core-dev
Section: libdevel
Architecture: any
Depends: python, ${allLibraries}, ${misc:Depends}
Description: Nepomuk Semantik Desktop core libraries -- development files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the development files for nepomuk-core.

Package: nepomuk-core-runtime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-runtime (<< 4:4.8.80)
Replaces: kde-runtime (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the runtime files from nepomuk-core. However no indexing
 will happen unless the virtuoso database is installed.

Package: nepomuk-core-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-runtime-data (<< 4:4.8.80)
Replaces: kde-runtime-data (<< 4:4.8.80)
Description: Nepomuk Semantik Desktop core libraries -- shared data files
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains the architecture independent files from nepomuk-core.

Package: libnepomukcore4
Architecture: any
Depends: nepomuk-core-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Nepomuk Meta Data Library
 This is the KDE Meta Data library (not to confuse with KFileMetaData). It
 consists of the following parts:
  - The main resource handling centered around Nepomuk::Resource.
  - The handling of ontologies via classes in the Nepomuk::Types namespace.
  - The desktop Nepomuk::Query API.
  - Several utility methods and classes.

Package: nepomuk-core-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nepomuk-core-runtime (= ${binary:Version}),
         ${allLibraries},
         ${misc:Depends}
Breaks: kde-runtime-dbg (<< 4:4.8.80)
Replaces: kde-runtime-dbg (<< 4:4.8.80)
Description: debugging symbols for the Nepomuk Semantik Desktop core libraries
 The core Nepomuk system contains of the central services like file indexing,
 file system monitoring, query, and of course storage, as well as the
 corresponding client libraries.
 .
 This package contains debugging files used to investigate problems with the
 core Nepomuk system mentioned above.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime

override_dh_strip:
	$(overridden_command) --dbg-package=nepomuk-core-dbg

pkgs_with_install_linux = $(patsubst debian/%.install.linux,%,$(wildcard debian/*.install.linux))
override_dh_install:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	# Also install common files in place of debian/*.install.linux variants
	dh_install $(foreach p,$(pkgs_with_install_linux),-p$p --ignore=debian/$p.install.linux)
endif

# Library stuff
libpkgs_addsubst_allLibraries = nepomuk-core-dev nepomuk-core-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils,
         virtuoso-minimal, soprano-daemon,
         kdelibs5-plugins, oxygen-icon-theme
Restrictions: rw-build-tree

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/nepomuk-core-([\d.]+).tar.xz
